function [fName] = saveMovToFile(mov, fName, workDir)
    % if fName == nummer, lagres i fortløpende nummerering etter nummer, nummer er typisk noDB
    % if fName == string ('work/xxx/xx.txt'), bruk fName som blir og returnerer 'work/xxx/xx.txt'
    % mov er val array
    
   if  ~ischar(fName) && ~isstring(fName)
       noDBspecified = fName;
       d = dir([workDir '*.txt']);
       
       maxNoFromFile = 0;

       for i = 1 : length(d)
            nam = d(i).name;
            nam = nam(1:end-4);
            x = split(nam,'_');
            if length(x) == 2
                noDB = str2double(x{1});
                no = str2double(x{2});
                if noDB == noDBspecified
                  maxNoFromFile = max(maxNoFromFile, no);  
                end
            end
       end
       fName = [workDir num2str(fName) '-' num2str(maxNoFromFile + 1), '.txt']; % nytt fortløpende filnavnn
   end

   fi = fopen(fName, 'w');
   
   for i = 1 : size(mov, 1)
      fprintf(fi, '%d', mov(i, 1));
      fprintf(fi, '\t\t');
      
      c = num2str(mov(i, 2));
      fprintf(fi, '%c', c);
      if length(c) > 3
        fprintf(fi, '\t');
      else
        fprintf(fi, '\t\t');
      end
      
      fprintf(fi, '%2.2f', mov(i, 3));
      fprintf(fi, '\n');
      
      if mod(i, 4) == 0
        fprintf(fi, '\n');
      end
   end
   
   fclose(fi);
   
end